For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETList Business Roles
      • POSTCreate Business Role
      • PUTUpdate Business Role
      • DELDelete Business Role
      • GETResend Email Validation
LogoLogo
SupportContact salesStart free trial
API ReferenceSecurity

Create Business Role

POST
https://api.projectmanager.com/api/data/security/businessroles
POST
/api/data/security/businessroles
$curl -X POST https://api.projectmanager.com/api/data/security/businessroles \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Successful
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "id": "string",
15 "name": "string",
16 "description": "string",
17 "isGlobalAdmin": true,
18 "isAdmin": true,
19 "isCustom": true,
20 "isDefault": true,
21 "isGuest": true,
22 "permissions": {}
23 }
24}

Chargebee entitlements are evaluated read-only when saving permission grants; this call does not change subscription state.

Was this page helpful?
Previous

Update Business Role

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Request

Role name, optional description, and permission settings for the new role.
namestringOptional

Display name of the new custom role; must not duplicate another role name in the workspace (case-insensitive).

descriptionstring or nullOptional

Optional description; must not match reserved system role description tokens.

permissionsobjectOptional

Workspace permissions for the new role. Same property names as RetrieveMe; true/false per flag. Omitted or null properties are treated as off. ChangeOwnEmail is not modeled here and defaults to off for new custom roles.

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject

Workspace business role returned by the data API security endpoints (list/update responses and create response).